templates:
- freestyle
- base

catalog:
  title: Tum Gazebo Models

variables:
  description: FSMT test for strands grasping nightly
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  - demo
  recipe.maintainer:
  - Jonathan Weisz <jweisz@cs.columbia.edu>

  branches:
  - master

  shell.command: |
    mkdir -p ~/.gazebo/models
    cd ~/.gazebo/models
    wget -qO- http://models.gazebosim.org/house_3/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/nist_maze_wall_240/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/nist_maze_wall_triple_holes_120/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/nist_stairs_120/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/nist_elevated_floor_120/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/house_2/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/house_1/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/jersey_barrier/model.tar.gz | tar xvz
    wget -qO- http://models.gazebosim.org/grey_wall/model.tar.gz | tar xvz
